Skip to main content
GET
Stake Authority Summary
These endpoints return high level information about a delegator over the time period such as their network penetration, rewards, annual percentage yield (APY), paid commissions, and the effectiveness of their validator delegate/s. Here’s how to interpret the inputs required to operate it 👇 On the 1d time period, the APY takes into account the rewards received for the last 3 days to smooth out the noise given Solana’s staking rewards schedule, which is every epoch (~2 days).

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

stake_authority
string
required

Query Parameters

window
enum<string>
required
Available options:
1d,
7d,
30d,
all

Response

Successful Response

stakeAuthority
string
required
timeWindow
enum<string>
required
Available options:
1d,
7d,
30d,
all
validatorDelegates
integer
required
Required range: x >= 0
delegations
SolanaDelegation · object[]
required
stakingRewardsApy
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
mevRewardsApr
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
delegatorApy
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumMissedStakingRewards
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
poolName
string | null
delegatedStake
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
networkPenetration
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
aggregateValidatorEffectiveness
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
blendedVoteCommissionRate
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
blendedMevCommissionRate
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumStakingRewards
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumMevRewards
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumRewards
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumStakingCommissionPaid
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumMevCommissionPaid
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
sumCommissionPaid
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$